BooleSet.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <polybori/routines/pbori_func.h>`
`#include <polybori/diagram/CCuddDDFacade.h>`
`#include "BoolePolyRing.h"`

Go to the source code of this file.

## Classes

class | polybori::CGenericIter< OrderType, NavigatorType, MonomType >
class | polybori::CReverseIter< OrderType, NavigatorType, MonomType >
class | polybori::BooleSet

## Namespaces

| polybori

## Constant Groups

| polybori

## Macros

#define | PBORI_CONST_DDFUNCS(func) self func(const self& rhs) const { return self(base::func(rhs.diagram())); }
#define | PBORI_DDFUNCS(func) self& func(const self& rhs) { base::func(rhs.diagram()); return *this; }
#define | PBORI_CONST_DDFUNCS_IDX(func) self func(idx_type idx) const { return self(base::func(idx)); }
#define | PBORI_DDFUNCS_IDX(func) self& func(idx_type idx) { base::func(idx); return *this; }

## Functions

BooleSet::ostream_type & | polybori::operator<< (BooleSet::ostream_type &os, const BooleSet &bset)
| Stream output operator. More...

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-04-20

This file defines the class BooleSet, which is currently just a typedef.

Copyright:
  (c) 2006-2010 by The PolyBoRi Team

## Macro Definition Documentation

#define PBORI_CONST_DDFUNCS | ( |  | func) |  | self func(const self& rhs) const { return self(base::func(rhs.diagram())); }

#define PBORI_CONST_DDFUNCS_IDX | ( |  | func) |  | self func(idx_type idx) const { return self(base::func(idx)); }

#define PBORI_DDFUNCS | ( |  | func) |  | self& func(const self& rhs) { base::func(rhs.diagram()); return *this; }

#define PBORI_DDFUNCS_IDX | ( |  | func) |  | self& func(idx_type idx) { base::func(idx); return *this; }